---
title: Authorize (implicit GET)
description: The authorization endpoint is used to interact with the end user and obtain an authorization grant. The sample shows the GET /{{envID}}/as/authorize operation. The request URL includes the response_type parameter with a value of token.
component: pingone-api
page_id: pingone-api:auth:openid-connect-oauth-2/authorize-implicit
canonical_url: https://developer.pingidentity.com/pingone-api/auth/openid-connect-oauth-2/authorize-implicit.html
section_ids:
  example-request: Example Request
  example-response: Example Response
---

# Authorize (implicit GET)

##

```none
GET {{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}
```

The authorization endpoint is used to interact with the end user and obtain an authorization grant. The sample shows the `GET /{{envID}}/as/authorize` operation. The request URL includes the `response_type` parameter with a value of `token`.

|   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| - | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | The optional `request` property specifies a JWT that enables OIDC/OAuth2 request parameters to be passed as a single, self-contained parameter. For details on how to construct the JWT, refer to [Create a request property JWT](../auth-config-options/create-a-request-property-jwt.html). For information on `pi.template` refer to [Notifications Templates](../../platform/notifications/notifications-templates.html). For information on `pi.clientContext` refer to [Device Authentication](../../mfa/mfa-authentication/mfa-device-authentications.html). |

> **Collapse: Query parameters**
>
> | Property                | Type   | Required? |
> | ----------------------- | ------ | --------- |
> | `acr_values`            | String | Optional  |
> | `client_id`             | String | Required  |
> | `code_challenge_method` | String | Optional  |
> | `login_hint`            | String | Optional  |
> | `login_hint_token`      | String | Optional  |
> | `mobilePayload`         | String | Optional  |
> | `max_age`               | String | Optional  |
> | `nonce`                 | String | Optional  |
> | `prompt`                | String | Optional  |
> | `redirect_uri`          | String | Required  |
> | `request`               | String | Optional  |
> | `response_mode`         | String | Optional  |
> | `response_type`         | String | Required  |
> | `scope`                 | String | Optional  |
> | `state`                 | String | Optional  |

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1%3Aread%3Auser&nonce={{nonce}}'
```

```csharp
var options = new RestClientOptions("{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1%3Aread%3Auser&nonce={{nonce}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}} HTTP/1.1
Host: {{authPath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1:read:user&nonce={{nonce}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/as/authorize?response_type=token&client_id={{appID}}&redirect_uri={{redirect_uri}}&scope=openid%20profile%20p1%3Aread%3Auser&nonce={{nonce}}")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

302 Found
